Skip to main content
POST
/
workspace
/
{workspace_id}
/
table
/
{table_id}
/
content
/
search
/
delete
Delete all records matching specified search criteria
curl --request POST \
  --url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/content/search/delete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "search": []
}'
import requests

url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/content/search/delete"

payload = { "search": [] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({search: []})
};

fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/content/search/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": [
    "<string>"
  ],
  "success_total": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-data-source
string
default:live

Path Parameters

workspace_id
integer<int64>
required
table_id
integer<int64>
required

Body

Response

Success!

success
string[]
success_total
integer<int64>